View data dashboard list

Query the data dashboard visible in the current workspace by paging according to conditions.

HTTP
POST $CLOUDSIGMA_API_BASE/data-dashboards/list

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Request

Replace caller-specific values in the example with actual values.

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/data-dashboards/list" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H "Content-Type: application/json" \
  -d '{
    "search": "销售",
    "page_size": 20
  }'

Request body

FieldTypeDescription
searchstringFilter by name or description.
page_sizeintegerReturn the number per page.
page_tokenstringNext page token.

Successful response

Paginated results are returned when the query is successful.

JSON
{
  "code": 0,
  "data": {
    "items": [
      {
        "ID": "0198ce73-3d20-7c12-9a11-1a2b3c4d5e6f",
        "Name": "销售概览",
        "Description": "按日查看销售数据",
        "CreatedByRoleID": "role-001",
        "CreatedAt": "2026-08-21T07:00:00Z",
        "UpdatedAt": "2026-08-21T07:00:00Z"
      }
    ],
    "total": 1,
    "has_more": false,
    "next_page_token": ""
  }
}

The response fields are as follows.

Field

Type

Description

data.items

array

Data dashboard list.

data.items[].ID

string

Data dashboard ID.

data.items[].Name

string

Data dashboard name.

data.items[].Description

string

Data dashboard description.

data.items[].CreatedByRoleID

string

The role ID used when creating the data dashboard.

data.items[].CreatedAt

string

Creation time.

data.items[].UpdatedAt

string

Update time.

data.total

integer

The total number of matching data Kanban boards.

data.has_more

boolean

Is there a next page?

data.next_page_token

string

Next page token; empty string if there is no next page.

In this document, [] after a type denotes an array. In a field path, [] denotes each item in an array; for example, data.items[].ID is the ID field of each item in the data.items array.

Error response

JSON
{
  "code": 2,
  "message": "invalid argument",
  "details": {
    "domain": "moi-core.catalog.data_dashboard",
    "reason": "DATA_DASHBOARD_INVALID_REQUEST"
  }
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.
Last updated on